// // Clear input search field
// const clearBtn = document.querySelector('.search-wrapper .btn-clear')
// const searchInput = document.querySelector('.search-wrapper input')

// // Clear text function

// function clearTextField() {
//   searchInput.value = ''
// }

// // Initially hide close button

// if (clearBtn !== null) {
//   // On close button click remove input value and hide close button.
//   clearBtn.addEventListener('click', () => {
//     clearTextField()
//   })
// }

// export const Mykademy = {
//   clearBtn,
//   searchInput,
//   clearTextField
// }

// /* eslint-disable no-console */
// import BaseComponent from './base-component'

// class Mykademy extends BaseComponent {
//   document.addEventListener('mousedown', e => {
//     'use strict'
//     if (e.target.classList.contains('btn-clear')) {
//       const search = e.target.parentNode
//       if (e.target.parentNode.classList.contains('search-wrapper')) {
//         search.querySelector('input').value = ''
//       }
//     }
//   }
// }

// export default Mykademy

// Example of Alert trigger execution

const alertPlaceholder = document.getElementById('liveAlertPlaceholder')
const alertTrigger = document.getElementById('liveAlertBtn')

function alert(message, type) {
  const wrapper = document.createElement('div')
  wrapper.innerHTML = `<div class="alert alert-${type} fade show" role="alert"><span class="alert-info">${message}</span><div class="action-wrapper"><button type="button" class="btn btn-primary btn-sm btn-round bg-primary-fade alert-btn-gap" data-bs-dismiss="alert" aria-label="Close">Close</button></div></div>`

  alertPlaceholder.append(wrapper)
}

if (alertTrigger) {
  alertTrigger.addEventListener('click', () => {
    // Add alert message and alert type i.e. primary or secondary
    alert('Nice, you triggered this alert message!', 'primary')
  })
}

// Circle Progress

const forEach = function (array, callback, scope) {
  for (let i = 0; i < array.length; i++) {
    callback.call(scope, i, array[i])
  }
}

window.addEventListener('load', () => {
  const max = -219.99078369140625
  forEach(document.querySelectorAll('.progress-circle'), (index, value) => {
    const percent = value.getAttribute('data-progress')
    /* eslint-disable no-console */
    const offsetCalc = ((100 - percent) / 100) * max
    console.log(offsetCalc)
    value.querySelector('.fill').setAttribute('style', 'stroke-dashoffset: ' + offsetCalc)
    value.querySelector('.value').innerHTML = percent + '%'
  })
})

const passwordField = document.querySelector('#floatingPasswordEye')
if (passwordField !== null) {
  window.addEventListener('load', () => {
    'use strict'
    const input = document.querySelector('#floatingPasswordEye')
    const eye = document.querySelector('#password-eye')
    const eyeBtn = eye.closest('button')
    const eyeOff = document.querySelector('.eye-off')
    const eyeOn = document.querySelector('.eye-on')

    eyeBtn.addEventListener('click', () => {
      if (input.type === 'password') {
        input.type = 'text'
        eyeOff.style.display = 'none'
        eyeOn.style.display = 'block'
      } else {
        input.type = 'password'
        eyeOff.style.display = 'block'
        eyeOn.style.display = 'none'
      }
    })
  })

  const checkInput = document.getElementById('floatingPasswordEye')

  if (checkInput) {
    checkInput.addEventListener('focus', () => {
      document.getElementById('custom-tooltip').style.display = 'block'
    })
    checkInput.addEventListener('blur', () => {
      document.getElementById('custom-tooltip').style.display = 'none'
    })
  }
}

// Select dropdown text replacement

for (const option of document.querySelectorAll('.custom-option')) {
  option.addEventListener('click', function () {
    'use strict'
    if (!this.classList.contains('selected')) {
      this.parentNode.querySelector('.custom-option.selected').classList.remove('selected')
      this.classList.add('selected')
      this.closest('.custom-select').querySelector('.custom-select-trigger input').value = this.querySelector('.option-heading').textContent
    }
  })
}

// Dark modal
const navModal = document.querySelector('#navModal')
if (navModal !== null) {
  navModal.addEventListener('show.bs.modal', () => {
    setTimeout(() => {
      document.body.classList.add('modal-dark-backdrop')
    })
  })

  navModal.addEventListener('hide.bs.modal', () => {
    setTimeout(() => {
      document.body.classList.remove('modal-dark-backdrop')
    })
  })
}

export const Mykademy = {
  alertPlaceholder,
  alertTrigger
}
